# m3e/nav_rail_toggle

NavRailToggle is an element, nested within a clickable element, used to toggle the expanded state of a navigation rail.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## NavRailToggle

opaque </>

NavRailToggle is a View Model for this component

## Fields:

- for: The identifier of the interactive control to which this element is attached.

    pub opaque type NavRailToggle

# Values

## default_for

</>

    pub const default_for: option.Option(String)

## for

</>

    pub fn for(
      arg: NavRailToggle,
      for: option.Option(String),
    ) -> NavRailToggle

for sets the value of for for this NavRailToggle.

## new

</>

    pub fn new(for: option.Option(String)) -> NavRailToggle

new creates a new NavRailToggle with the default configuration.

## render

</>

    pub fn render(
      model: NavRailToggle,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a NavRailToggle

✨